<?php
// Archivo evaluate_drawing.php
include 'db_config.php'; // Conexión a la base de datos



$participant_name = $_POST['participant_name'] ?? 'Sin nombre';
$documentoIdentidad = $_POST['participant_id'] ?? 'Sin id';
$modalidad = $_POST['modalidad_deporte'] ?? 'ninguna';
$aciertos = intval($_POST['aciertos'] ?? 0);

// Generar recomendación si aplica
$recomendacion = "";
if ($modalidad !== 'ninguna') {

    if ($aciertos <= 2) {
        $recomendacion = "Mejora necesaria, Se sugiere fuertemente poner mucho empeño en la realización de la actividad física con miras a mejorar estas habilidades cognitivas evaluadas en el test, entre otras su motricidad fina.";
    } elseif ($aciertos <= 3) {
        $recomendacion = "Continúe trabajando en la actividad física para fortalecer sus habilidades artisticas.";
    } else {
        $recomendacion = "¡Felicitaciones! Su desempeño demuestra un excelente trabajo en el programa de actividad física, lo que se refleja en sus habilidades artísticas sobresalientes.";
    }
} 
if ($modalidad == 'ninguna') {
    if ($aciertos <= 2) {
        $recomendacion = "Mejora necesaria, Se sugiere fuertemente poner mucho empeño con miras a mejorar mejorar su motricidad fina.";
    } elseif ($aciertos <= 3) {
        $recomendacion = "Continúe trabajando para fortalecer habilidades artisticas.";
    } else {
        $recomendacion = "¡Excelente trabajo, felicitaciones! Su desempeño demuestra un excelente trabajo, lo que se refleja en sus habilidades artísticas sobresalientes.";
    }
} 



// Guardar resultados en la base de datos
$query_usuario = "INSERT INTO visuoespacial_results (participant_name, participant_id, modalidad_deporte, aciertos,  recomendaciones) /*resultado,*/
                  VALUES (?, ?, ?, ?, ?)";//, ?
$stmt_usuario = $conn->prepare($query_usuario);
$stmt_usuario->bind_param("sssis", $participant_name, $documentoIdentidad, $modalidad, $aciertos,  $recomendacion); //$resultado,
$stmt_usuario->execute();

if ($stmt_usuario->affected_rows > 0) {
    $usuario_id = $stmt_usuario->insert_id;
    header("Location: resumen_resultado_visoespacial.php?id=$usuario_id");
    exit();
} else {
    die("Error al guardar los resultados: " . $conn->error);
}
?>
